# createAsset

### Arguments

| Argument                                                                              | Description                |
| ------------------------------------------------------------------------------------- | -------------------------- |
| input ([CreateAssetInput](/graphql-api/api-reference/objects/create-asset-input.md)!) | Parameters for CreateAsset |

### CreateAssetInput Arguments

| Argument                                                                                                        | Description                                                                                                                      |
| --------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| subscriptionId ([ID](/graphql-api/api-reference/objects/id.md))                                                 | The ID of the subscription to assign this asset to                                                                               |
| productId ([ID](/graphql-api/api-reference/objects/id.md)!)                                                     | The ID of the product for this asset                                                                                             |
| internalNumber ([String](/graphql-api/api-reference/objects/string.md)!)                                        | Mandatory number used to identify the asset                                                                                      |
| externalNumber ([String](/graphql-api/api-reference/objects/string.md))                                         | Optional additional number used to identify the asset                                                                            |
| notes ([String](/graphql-api/api-reference/objects/string.md))                                                  | Additional information about the specific asset                                                                                  |
| status ([AssetStatus](/graphql-api/api-reference/objects/asset-status.md))                                      | Status of this asset (available, at\_customer, purchased, in\_refurbishment, scrapped, lost, back\_to\_supplier or unavailable). |
| expectedAvailabilityOn ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                     | Date on which the asset is expected to be available.                                                                             |
| purchasedAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                                | Date on which the asset is purchased.                                                                                            |
| depreciatedOn ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                              | Date on which the asset is depreciated.                                                                                          |
| scrappedOn ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                                 | Date on which the asset is scrapped.                                                                                             |
| assetCustomFields (\[[AssetCustomFieldInput](/graphql-api/api-reference/objects/asset-custom-field-input.md)!]) | Associated custom field values for this asset.                                                                                   |

### Return fields

#### asset ([Asset](/graphql-api/api-reference/objects/asset.md))

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/create-asset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
